Retrieve all Sessions
curl --request GET \
--url https://api.trugen.ai/v1/ext/sessions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.trugen.ai/v1/ext/sessions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.trugen.ai/v1/ext/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "e54fb2ca-9a4f-4c03-96ba-668726ce03a4",
"avatar_id": "33dc438b",
"room_name": "",
"status": "ENDED",
"created_at": "2026-10-09T12:43:05.642516Z"
}
]{
"error": "Unauthorized: not a valid authorization api key"
}{
"error": "Failed to retrieve sessions"
}Sessions
List All Sessions
Retrieve all your sessions with their current status.
GET
/
ext
/
sessions
Retrieve all Sessions
Authorizations
Query Parameters
The number of sessions to skip before starting to return results.
The number of sessions to return per page.
Search criteria to filter sessions.
Filter sessions created on or after this date (YYYY-MM-DD).
Filter sessions created before this date plus one day (YYYY-MM-DD).
Filter sessions by room name.
Response
List of sessions retrieved successfully
Unique identifier for the session
Example:
"e54fb2ca-9a4f-4c03-96ba-668726ce03a4"
Identifier of the avatar used in the session
Example:
"33dc438b"
Name of the room for the session
Example:
""
Current status of the session
Available options:
INITIALIZING, ENDED, TERMINATED Example:
"ENDED"
Timestamp when the session was created
Example:
"2026-10-09T12:43:05.642516Z"
Was this page helpful?